summaryrefslogtreecommitdiffstats
path: root/system/smbldap-tools/smbldap-tools.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/smbldap-tools/smbldap-tools.SlackBuild')
-rw-r--r--system/smbldap-tools/smbldap-tools.SlackBuild89
1 files changed, 89 insertions, 0 deletions
diff --git a/system/smbldap-tools/smbldap-tools.SlackBuild b/system/smbldap-tools/smbldap-tools.SlackBuild
new file mode 100644
index 0000000000..e3e2fb8747
--- /dev/null
+++ b/system/smbldap-tools/smbldap-tools.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for smbldap-tools
+
+# Copyright (c) 2009 Chris Walker <kris240376@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+# * Neither the name of the {company} nor the names of its
+# contributors may be used to endorse or promote products derived from
+# this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=smbldap-tools
+VERSION=0.9.5
+ARCH=noarch
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Install openldap and samba config examples
+mkdir -p $PKG/etc/{openldap,samba}
+cat doc/slapd.conf > $PKG/etc/openldap/slapd.conf-smbldap-tools
+cat doc/smb.conf > $PKG/etc/samba/smb.conf-smbldap-tools
+
+# Install smbldap-tools config files
+mkdir -p $PKG/etc/smbldap-tools
+cp -a configure.pl $PKG/etc/smbldap-tools
+cat smbldap.conf > $PKG/etc/smbldap-tools/smbldap.conf.new
+cat smbldap_bind.conf > $PKG/etc/smbldap-tools/smbldap_bind.conf.new
+
+# Install scripts
+mkdir -p $PKG/usr/sbin
+cp -a \
+ smbldap-groupadd smbldap-groupdel smbldap-groupmod smbldap-groupshow \
+ smbldap-passwd smbldap-populate smbldap-useradd smbldap-userdel \
+ smbldap-userinfo smbldap-userlist smbldap-usermod smbldap-usershow \
+ smbldap_tools.pm doc/migration_scripts/smbldap-migrate-pwdump-accounts \
+ doc/migration_scripts/smbldap-migrate-pwdump-groups \
+ doc/migration_scripts/smbldap-migrate-unix-accounts \
+ doc/migration_scripts/smbldap-migrate-unix-groups \
+ $PKG/usr/sbin
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CONTRIBUTORS COPYING ChangeLog FILES INFRA INSTALL README TODO \
+ doc/smbldap-tools.pdf doc/smbldap-tools.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}